Rated 5 out of 5 stars

Doesn't work with FF17. Please update. Thank you!!!

This review is for a previous version of the add-on (13.0.20120505.1-signed).